Summary: Cfengine helps administer remote BSD and SysV-like systems
Name: cfengine
Vendor: Mark Burgess <mark@iu.hioslo.no>
Version: 2.0.a15
Release: 2
License: GPL
Group: Applications/System
Packager: Pekka Savola <psavola@csc.fi>
URL: http://www.cfengine.org
Summary: Configuration engine for administering large number of hosts
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: ftp://ftp.iu.hioslo.no/pub/%{name}-%{version}.tar.gz
Source1: cfd.init
Patch0: cfengine-2.0-ldb.diff
Requires: openssl db3
PreReq: /sbin/service /sbin/chkconfig
#PreReq: /sbin/install-info
#BuildPreReq: tetex-dvips texinfo tetex-latex
BuildPreReq: tcp_wrappers openssl-devel db3-devel

%description
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

%prep 
%setup 
%patch0 -p1

%build
%configure --datadir=/etc --mandir=%{_mandir} --infodir=%{_infodir} --program-prefix=""
make

%install
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
mkdir $RPM_BUILD_ROOT/etc/cfengine
cp -dp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/cfd
cd ${RPM_BUILD_ROOT}%{_sbindir} ; ln -s cfagent cfengine ; ln -s cfservd cfd
cd ${RPM_BUILD_ROOT}/etc/cfengine ; ln -s cfengine.conf cfagent.conf ; ln -s cfd.conf cfservd.conf

%define info_files cfengine-Reference cfengine-Tutorial

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add cfd
fi
#for f in %{info_files}; do
#  /sbin/install-info %{_infodir}/$f.gz %{_infodir}/dir \
#    --section="GNU Cfengine" 2> /dev/null || :
#done

%preun
if [ "$1" = 0 ]; then
  /sbin/chkconfig --del cfd

  for f in %{info_files}; do
    /sbin/install-info --delete %{_infodir}/$f.gz %{_infodir}/dir \
       --section="GNU Cfengine" 2> /dev/null || :
  done
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service cfd condrestart >/dev/null 2>&1
fi

%files 
%defattr(-,root,root)
%doc inputs/cf.*.example
%dir /etc/cfengine
%config(noreplace) /etc/cfengine/cfagent.conf
%config(noreplace) /etc/cfengine/cfservd.conf
%{_sbindir}/*cf*
#%doc doc/cfengine-Reference.html doc/cfengine-Tutorial.html
#%doc doc/cf-security.html
#%{_mandir}/*/*
#%{_infodir}/*info*
%attr(0755,root,root) %config /etc/rc.d/init.d/cfd

%clean
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 31 2001 Pekka Savola <psavola@csc.fi>
- 2.0a15
- add compatibility symlinks, %%dir /etc/cfengine

* Tue Oct 23 2001 Pekka Savola <psavola@csc.fi>
- First attempt at 2.0 series, 2.0a14.
- Remove old typo patch, add one for db3.
- Documentation is gone.

* Sat Jul 28 2001 Pekka Savola <psavola@csc.fi>
- More cleanups.

* Tue Jun  5 2001 Pekka Savola <psavola@csc.fi>
- Update to 1.6.3
- Major cleanup

* Sun Oct  1 2000 Pekka Savola <psavola@csc.fi>
- Update to 1.5.4.
- Modernize the spec file and init script; move examples out of /etc/cfengine
- Add the format string vulnerability fix.
- Make cfd restart when upgraded.

* Mon Jan  1 2000 Pekka Savola <psavola@csc.fi>
- Updated to 1.5.4-pre1
- Updated cfd.init a tiny bit

* Fri Sep 24 1999 Pekka Savola <psavola@csc.fi>
- Updated to 1.5.2.

* Fri Aug 27 1999 Pekka Savola <psavola@csc.fi>
- Changed the init.d startup script so that it will, by default, be run on
runlevels 3-5.  The old method caused too much hassle.

* Mon Aug 16 1999 Pekka Savola <psavola@csc.fi>
- Updated to 1.5.1, removed unnecessary patches.

* Fri Jul 30 1999 Pekka Savola <psavola@csc.fi>
- Added some new RPM headers
- added %preun RPM macro to uninstall cfd initscripts

* Wed Jul 28 1999 Pekka Savola <psavola@csc.fi>
- Added misc.c patch (to define classes by IP-address)
- Added init.d - script for cfd, default runlevels: none (safe to install
even on non-server boxes)
- Some texinfo etc. documentation were left out because they didn't 
  compile well..

* Mon Jul 26 1999 Pekka Savola <psavola@csc.fi>
- Added a patch so that 'make install' installs cfkey too.

* Wed Jun 30 1999 Pekka Savola <psavola@csc.fi>
- adapted SPEC file from Rhodes & Mill Mercantile 1.4.12 build
- updated to 1.5.0
- added a patch so that OpenSSL could be used instead of SSLeay
- fixed doc/Makefile.in so that info's will actually install
